qq_35067566
杨阳洋DMC
采纳率33.3%
2018-06-21 13:22

eclipse4.8版本编译Java8的lambda表达式报错 急急急!

5

新入职,公司用的Java8。然后新装了eclipse,版本是4.8.0图片说明
但是编写的lambda表达式,一直报编译报错。图片说明
jdk我是配置的1.8,如图图片说明
eclipse配置的编译器也是1.8图片说明

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

4条回答

  • caozhy 回答这么多问题就耍赖把我的积分一笔勾销了 3年前
     =>这个是js、C#的写法
    java是 ->
    
    点赞 5 评论 复制链接分享
  • caozhy 回答这么多问题就耍赖把我的积分一笔勾销了 3年前

    而且也不是Where,而是filter,你整个是C# LINQ啊

    点赞 1 评论 复制链接分享
  • nong_nong_V nong_nong_V 3年前

    卸载当前jdk 安装最近jdk 可能会好转

    点赞 评论 复制链接分享
  • qq_35067566 杨阳洋DMC 3年前

    上午装过另外一个版本的jdk,是在官网下载的,然后安装后,版本不符合,删除了对应的注册表。不知道这个有没有影响

    点赞 评论 复制链接分享